

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################

set(Equalizer_PREFIX_DIR ${PACKAGE_PREFIX_DIR})
if(CMAKE_VERSION VERSION_LESS 2.8.3) # WAR bug
  get_filename_component(CMAKE_CURRENT_LIST_DIR ${CMAKE_CURRENT_LIST_FILE} PATH)
endif()
list(APPEND CMAKE_MODULE_PATH /home/abuild/rpmbuild/BUILD/equalizer-1.6.1/CMake)
set(_output_type)
set(_out)
set(_req)
set(_quiet)
set(_fail)

if(Equalizer_FIND_REQUIRED)
  set(_output_type FATAL_ERROR)
  set(_out 1)
  set(_req REQUIRED)
else()
  set(_output_type STATUS)
  if(NOT Equalizer_FIND_QUIETLY)
    set(_out 1)
  endif()
endif()
if(Equalizer_FIND_QUIETLY)
  set(_quiet QUIET)
endif()

find_package(Lunchbox 1.8.0 EXACT ${_req} ${_quiet})
if(LUNCHBOX_FOUND)
  list(APPEND EQUALIZER_LIBRARIES ${LUNCHBOX_LIBRARIES})
else()
  set(_fail TRUE)
endif()

find_package(Collage 1.0.0 EXACT ${_req} ${_quiet})
if(COLLAGE_FOUND)
  list(APPEND EQUALIZER_LIBRARIES ${COLLAGE_LIBRARIES})
else()
  set(_fail TRUE)
endif()

if(NOT _fail)
  set(EQUALIZER_VERSION 1.6.1)
  set_and_check(EQUALIZER_INCLUDE_DIRS ${Equalizer_PREFIX_DIR}/include)
  set(EQUALIZER_DEB_DEPENDENCIES "equalizer160 (>= 1.6)")
  set(EQUALIZER_DEB_LIB_DEPENDENCY "equalizer160-lib (>= 1.6)")
  set(EQUALIZER_DEB_DEV_DEPENDENCY "equalizer160-dev (>= 1.6)")

  if(Equalizer_FIND_COMPONENTS)
    find_library(${UPPER_PROJECT_NAME}_LIBRARY Equalizer NO_DEFAULT_PATH
                 PATHS ${Equalizer_PREFIX_DIR} PATH_SUFFIXES lib )
    list(APPEND EQUALIZER_LIBRARIES ${EQUALIZER_LIBRARY})
    foreach(_component ${Equalizer_FIND_COMPONENTS})
      find_library(${_component}_libraryname Equalizer_${_component} NO_DEFAULT_PATH
        PATHS ${Equalizer_PREFIX_DIR} PATH_SUFFIXES lib )

      if(${_component}_libraryname MATCHES "${_component}_libraryname-NOTFOUND")
        if(Equalizer_FIND_REQUIRED_${_component})
          set(_fail "Component library ${_component} not found")
          message(FATAL_ERROR "   Equalizer_${_component} "
            "not found in ${Equalizer_PREFIX_DIR}/lib")
        elseif(NOT _quiet)
          message(STATUS "   Equalizer_${_component} "
            "not found in ${Equalizer_PREFIX_DIR}/lib")
        endif()
      else()
        string(TOUPPER ${_component} _COMPONENT)
        set(EQUALIZER_${_COMPONENT}_FOUND TRUE)
        set(EQUALIZER_${_COMPONENT}_LIBRARY ${${_component}_libraryname})
        list(APPEND EQUALIZER_LIBRARIES ${${_component}_libraryname})
        list(APPEND EQUALIZER_COMPONENTS ${_component})
      endif()
    endforeach()
  else()
    set(EQUALIZER_LIBRARY_NAMES "GLEW_MX_Equalizer;EqualizerFabric;Equalizer;EqualizerAdmin;EqualizerServer;Sequel")
    foreach(_libraryname ${EQUALIZER_LIBRARY_NAMES})
      string(TOUPPER ${_libraryname} _LIBRARYNAME)
      find_library(${_LIBRARYNAME}_LIBRARY ${_libraryname} NO_DEFAULT_PATH
                   PATHS ${Equalizer_PREFIX_DIR} PATH_SUFFIXES lib )
      if(${_LIBRARYNAME}_LIBRARY MATCHES "${_LIBRARYNAME}_LIBRARY-NOTFOUND")
        set(_fail "${_libraryname} not found")
        if(_out)
          message(${_output_type} "   Missing the Equalizer "
            "library in ${Equalizer_PREFIX_DIR}/lib.")
        endif()
      else()
        list(APPEND EQUALIZER_LIBRARIES ${${_LIBRARYNAME}_LIBRARY})
        string(REPLACE "Equalizer_" "" _component ${_libraryname})
        string(TOUPPER ${_component} _COMPONENT)
        set(EQUALIZER_${_COMPONENT}_FOUND TRUE)
        list(APPEND EQUALIZER_COMPONENTS ${_component})
      endif()
    endforeach()
  endif()

  if(EXISTS ${Equalizer_PREFIX_DIR}/share/Equalizer/CMake/options.cmake)
    include(${Equalizer_PREFIX_DIR}/share/Equalizer/CMake/options.cmake)
  endif()
endif()

if(_fail)
  set(EQUALIZER_FOUND)
  set(EQUALIZER_VERSION)
  set(EQUALIZER_INCLUDE_DIRS)
  set(EQUALIZER_LIBRARIES)
  set(EQUALIZER_DEB_DEPENDENCIES)
  set(EQUALIZER_LIBRARY)
  set(EQUALIZER_COMPONENTS)
  if(_out)
    message(STATUS "Could not find Equalizer: ${_fail}")
  endif()
else()
  set(EQUALIZER_FOUND TRUE)
  set(EQUALIZER_MODULE_FILENAME )
  if(_out)
    message(STATUS "Found Equalizer 1.6.1 ${EQUALIZER_COMPONENTS} in "
      "${EQUALIZER_INCLUDE_DIRS}:${EQUALIZER_LIBRARY}")
  endif()
endif()
